summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-12-16 14:40:19 -0500
committerMike Frysinger <vapier@gentoo.org>2016-12-16 14:45:02 -0500
commite497a6a6542a9864630a865a7226907a02751435 (patch)
treecccb275707d2c1ac7f6b3d5d008f99122a8a1e35 /dev-util/strace
parentkde-misc/akonadi-ews: New package (diff)
downloadgentoo-e497a6a6542a9864630a865a7226907a02751435.tar.gz
gentoo-e497a6a6542a9864630a865a7226907a02751435.tar.bz2
gentoo-e497a6a6542a9864630a865a7226907a02751435.zip
dev-util/strace: version bump to 4.15
Diffstat (limited to 'dev-util/strace')
-rw-r--r--dev-util/strace/Manifest1
-rw-r--r--dev-util/strace/strace-4.15.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-util/strace/Manifest b/dev-util/strace/Manifest
index 42d9df82ba2..bd4f1d1849d 100644
--- a/dev-util/strace/Manifest
+++ b/dev-util/strace/Manifest
@@ -1,3 +1,4 @@
DIST strace-4.13.tar.xz 847032 SHA256 d48f732576c91ece36a5843d63f9be054c40ef59f1e4773986042636861625d7 SHA512 166d9b80ec093e049161ee5506a60c408d6f953d8fa04ba5dcb5105b0c9181282a2c28ff0a7acfa44880be44fd1dbde2319e895868a6edecd0121700a49dfdec WHIRLPOOL 0e5dd46610befc20fe9c0d65f665b304e7e512d647b2bd4b3cf73840197c052914d775296e01a738969e5ec84df94e19c491ab943e88040ca04063a4cd22a8ed
DIST strace-4.14.tar.xz 865532 SHA256 5bed5110b243dce6864bedba269446c18c8c63f553cdd7fd4f808d89a764712f SHA512 e0040a0a0f7bf8537c9dd4ca42f514be0caa40475673522cce7f02ca608b7c0fdf4653dad049c4a6323740579926061f90e8522b6378d4c57c2a7732197a0950 WHIRLPOOL e876641239794298b4b2ad512afb7cb1978504c8fd7a03120f9e0abb2535e39d1ec3634e4e870a394f536d2d877464679ff66e1d183fdf7bf9f491471ffa5c4a
+DIST strace-4.15.tar.xz 935500 SHA256 c0cdc094d6141fd9dbf6aaad605142d651ae10998b660fda57fc61f7ad583ca9 SHA512 15e96c31d901c94dc40de67a65365c6cc9a7b7b2bf96a735f5d20cbd54dc75d941e0c1da206aa76f6e98d1013bfeecb42800b23c9e146eaf756775d525fe1b66 WHIRLPOOL 9094d92b81d10bc0bece13c1f3704ab8bd2cd240f0187800ea6e67ccda4dcea5a09db0a39f9967819f88f1768d8d17b03a07b7a8e6bbe41754ce05eb01672f4e
DIST strace-4.9.tar.xz 521728 SHA256 095bfea5c540b91d297ccac73b21b92fd54a24599fd70395db87ff9eb7fd6f65 SHA512 70d03b74067ad03940cda72dc057a44a8a33fc55790a8a3bfffb1c4d7442c2de7f3e975a01dc7c7b0430342e492579b2f3a007242d13c8a0feba1a1989f42b7b WHIRLPOOL cbe2a859f6dfb82c3df652ed1fbe8982348f9c6ab61491153ce735e857275904639c003853a02188f8bc567d2eae7a710683b09d9cff67c3a4b8d7a0eb9a082e
diff --git a/dev-util/strace/strace-4.15.ebuild b/dev-util/strace/strace-4.15.ebuild
new file mode 100644
index 00000000000..6c5ede46696
--- /dev/null
+++ b/dev-util/strace/strace-4.15.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit flag-o-matic eutils
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://git.code.sf.net/p/strace/code"
+ EGIT_PROJECT="${PN}"
+ inherit git-2 autotools
+else
+ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux"
+fi
+
+DESCRIPTION="A useful diagnostic, instructional, and debugging tool"
+HOMEPAGE="https://sourceforge.net/projects/strace/"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="aio perl static unwind"
+
+LIB_DEPEND="unwind? ( sys-libs/libunwind[static-libs(+)] )"
+# strace only uses the header from libaio to decode structs
+DEPEND="static? ( ${LIB_DEPEND} )
+ aio? ( >=dev-libs/libaio-0.3.106 )
+ sys-kernel/linux-headers"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+ perl? ( dev-lang/perl )"
+
+src_prepare() {
+ if epatch_user || [[ ! -e configure ]] ; then
+ # git generation
+ ./xlat/gen.sh || die
+ ./generate_mpers_am.sh || die
+ eautoreconf
+ [[ ! -e CREDITS ]] && cp CREDITS{.in,}
+ fi
+
+ filter-lfs-flags # configure handles this sanely
+ use static && append-ldflags -static
+
+ export ac_cv_header_libaio_h=$(usex aio)
+
+ # Stub out the -k test since it's known to be flaky. #545812
+ sed -i '1iexit 77' tests*/strace-k.test || die
+}
+
+src_configure() {
+ econf $(use_with unwind libunwind)
+}
+
+src_install() {
+ default
+ use perl || rm "${ED}"/usr/bin/strace-graph
+ dodoc CREDITS
+}